Bug 1875490 - python3-httpx fails to install: nothing provides python3.9dist(rfc3986[idna2008])
Summary: python3-httpx fails to install: nothing provides python3.9dist(rfc3986[idna20...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-httpx
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F34FailsToInstall 1854486
TreeView+ depends on / blocked
 
Reported: 2020-09-03 15:26 UTC by Miro Hrončok
Modified: 2020-09-25 16:44 UTC (History)
1 user (show)

Fixed In Version: python-httpx-0.14.3-2.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-21 16:25:58 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2020-09-03 15:26:56 UTC
python3-httpx-0:0.14.3-2.fc34 requires:

(python3.9dist(rfc3986[idna2008]) < 2 with python3.9dist(rfc3986[idna2008]) >= 1.3)

But no package provides python3.9dist(rfc3986[idna2008]):

Error: 
 Problem: cannot install the best candidate for the job
  - nothing provides (python3.9dist(rfc3986[idna2008]) < 2 with python3.9dist(rfc3986[idna2008]) >= 1.3) needed by python3-httpx-0.14.3-2.fc34.noarch



See https://fedoraproject.org/wiki/Changes/PythonExtras and https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_python_extras

As a short term mitigation, you can set %_python_no_extras_requires to 1 to not generate the dependency.

I'll send a PR for python-rfc3986 to add the subpackage.

Comment 2 Fedora Update System 2020-09-03 16:40:01 UTC
FEDORA-2020-fa060c9b66 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 3 Fedora Update System 2020-09-03 16:40:58 UTC
FEDORA-2020-ab8311301d has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ab8311301d

Comment 4 Fedora Update System 2020-09-03 18:10:18 UTC
FEDORA-2020-ab8311301d has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-ab8311301d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ab8311301d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-09-21 16:25:58 UTC
FEDORA-2020-ff37b3e7c4 has been pushed to the Fedora ELN stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2020-09-25 16:44:28 UTC
FEDORA-2020-ab8311301d has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.